[package - 130releng-armv7-quarterly][devel/kdevelop-pg-qt] Failed for kdevelop-pg-qt-2.2.1 in build/runaway

From: <pkg-fallout_at_FreeBSD.org>
Date: Wed, 15 Sep 2021 08:16:29 GMT
You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     kde_at_FreeBSD.org
Log URL:        http://beefy12.nyi.freebsd.org/data/130releng-armv7-quarterly/5744604f85d8/logs/kdevelop-pg-qt-2.2.1.log
Build URL:      http://beefy12.nyi.freebsd.org/build.html?mastername=130releng-armv7-quarterly&build=5744604f85d8
Log:

=>> Building devel/kdevelop-pg-qt
build started at Wed Sep 15 01:39:44 UTC 2021
port directory: /usr/ports/devel/kdevelop-pg-qt
package name: kdevelop-pg-qt-2.2.1
building for: FreeBSD 130releng-armv7-quarterly-job-08 13.0-RELEASE-p4 FreeBSD 13.0-RELEASE-p4 1300139 arm
maintained by: kde_at_FreeBSD.org
Makefile ident: 
Poudriere version: 3.2.8-21-g883afb07
Host OSVERSION: 1400003
Jail OSVERSION: 1300139
Job Id: 08

---Begin Environment---
SHELL=/bin/csh
UNAME_p=armv7
UNAME_m=arm
ABI_FILE=/usr/lib/crt1.o
OSVERSION=1300139
UNAME_v=FreeBSD 13.0-RELEASE-p4 1300139
UNAME_r=13.0-RELEASE-p4
BLOCKSIZE=K
MAIL=/var/mail/root
MM_CHARSET=UTF-8
LANG=C.UTF-8
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
QEMU_EMULATING=1
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.8-21-g883afb07
MASTERMNT=/usr/local/poudriere/data/.m/130releng-armv7-quarterly/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/130releng-armv7-quarterly/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=130releng-armv7-quarterly
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/130releng-armv7-quarterly/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
---End OPTIONS List---

--MAINTAINER--
kde_at_FreeBSD.org
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
QT_SELECT=qt5 QMAKEMODULES="/wrkdirs/usr/ports/devel/kdevelop-pg-qt/work/kdevelop-pg-qt-2.2.1/mkspecs/modules:/usr/local/lib/qt5/mkspecs/modules" XDG_DATA_HOME=/wrkdirs/usr/ports/devel/kdevelop-pg-qt/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/kdevelop-pg-qt/work  HOME=/wrkdirs/usr/ports/devel/kdevelop-pg-qt/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/devel/kdevelop-pg-qt/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
NINJA_STATUS="[%p %s/%t] " QT_SELECT=qt5 QMAKEMODULES="/wrkdirs/usr/ports/devel/kdevelop-pg-qt/work/kdevelop-pg-qt-2.2.1/mkspecs/modules:/usr/local/lib/qt5/mkspecs/modules" XDG_DATA_HOME=/wrkdirs/usr/ports/devel/kdevelop-pg-qt/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/kdevelop-pg-qt/work  HOME=/wrkdirs/usr/ports/devel/kdevelop-pg-qt/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/devel/kdevelop-pg-qt/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES DESTDIR=/wrkdirs/usr/ports/devel/kdevelop-pg-qt/work/stage PREFIX=/usr/local  LOCALBASE=/usr/local  CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe  -fstack-protector-strong -fno-strict-aliasing "  CPP="/nxb-bin/usr/bin/cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector-strong " LIBS=""  CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe -fstack-protector-strong -fno-strict-aliasing  "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 55
 5"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
CMAKE_BUILD_TYPE="release" KDE_PREFIX="/usr/local" KDE_APPLICATIONS_VERSION="21.04.3"  KDE_FRAMEWORKS_VERSION="5.82.0"  KDE_PLASMA_VERSION="5.22.4" QT_BINDIR="lib/qt5/bin" QT_INCDIR="include/qt5" QT_LIBDIR="lib/qt5" QT_ARCHDIR="lib/qt5" QT_PLUGINDIR="lib/qt5/plugins" QT_LIBEXECDIR="libexec/qt5" QT_IMPORTDIR="lib/qt5/imports" QT_QMLDIR="lib/qt5/qml" QT_DATADIR="share/qt5" QT_DOCDIR="share/doc/qt5" QT_L10NDIR="share/qt5/translations" QT_EXAMPLEDIR="share/examples/qt5" QT_TESTDIR="share/qt5/tests" QT_MKSPECDIR="lib/qt5/mkspecs" QT_QTCHOOSERDIR="etc/xdg/qtchooser" OSREL=13.0 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/kdevelop-pg-qt"  EXAMPLESDIR="share/examples/kdevelop-pg-qt"  DATADIR="share/kdevelop-pg-qt"  WWWDIR="www/kdevelop-pg-qt"  ETCDIR="etc/kdevelop-pg-qt"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/kdevelop-pg-qt DOCSDIR=/usr/local/share/doc/kdevelop-pg-qt EXAMPLESDIR=/usr/local/share/examples/kdevelop-pg-qt  WWWDIR=/usr/local/www/kdevelop-pg-qt ETCDIR=/usr/local/etc/kdevelop-pg-qt
--End SUB_LIST--

---Begin make.conf---
.sinclude "/etc/make.nxb.conf"
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
MACHINE=arm
MACHINE_ARCH=armv7
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_9d218390=FreeBSD clang version 11.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-11.0.1-0-g43ff75f2c3fe) Target: armv7-unknown-freebsd13.0-gnueabihf Thread model: posix InstalledDir: /nxb-bin/usr/bin
_ALTCCVERSION_9d218390=none
_CXXINTERNAL_9c45a5b1=FreeBSD clang version 11.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-11.0.1-0-g43ff75f2c3fe) Target: armv7-unknown-freebsd13.0-gnueabihf Thread model: posix InstalledDir: /nxb-bin/usr/bin "/nxb-bin/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_9d218390_58173849=yes
CC_OUTPUT_9d218390_9bdba57c=yes
CC_OUTPUT_9d218390_6a4fe7f5=yes
CC_OUTPUT_9d218390_6bcac02b=yes
CC_OUTPUT_9d218390_67d20829=yes
CC_OUTPUT_9d218390_bfa62e83=yes
CC_OUTPUT_9d218390_f0b4d593=yes
CC_OUTPUT_9d218390_308abb44=yes
CC_OUTPUT_9d218390_f00456e5=yes
CC_OUTPUT_9d218390_65ad290d=yes
CC_OUTPUT_9d218390_f2776b26=yes
CC_OUTPUT_9d218390_b2657cc3=yes
CC_OUTPUT_9d218390_380987f7=yes
CC_OUTPUT_9d218390_160933ec=yes
CC_OUTPUT_9d218390_fb62803b=yes
_OBJC_CCVERSION_9d218390=FreeBSD clang version 11.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-11.0.1-0-g43ff75f2c3fe) Target: armv7-unknown-freebsd13.0-gnueabihf Thread model: posix InstalledDir: /nxb-bin/usr/bin
_OBJC_ALTCCVERSION_9d218390=none
ARCH=armv7
OPSYS=FreeBSD
_OSRELEASE=13.0-RELEASE-p4
OSREL=13.0
OSVERSION=1300139
PYTHONBASE=/usr/local
CONFIGURE_MAX_CMD_LEN=524288
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
---Begin make.nxb.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
---End make.nxb.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License GPLv2 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   kdevelop-pg-qt-2.2.1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.16.3.txz
[130releng-armv7-quarterly-job-08] Installing pkg-1.16.3...
[130releng-armv7-quarterly-job-08] Extracting pkg-1.16.3: .......... done
===>   kdevelop-pg-qt-2.2.1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of kdevelop-pg-qt-2.2.1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by kdevelop-pg-qt-2.2.1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by kdevelop-pg-qt-2.2.1 for building
=> SHA256 Checksum OK for KDE/kdevelop/kdevelop-pg-qt-2.2.1.tar.xz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by kdevelop-pg-qt-2.2.1 for building
===>  Extracting for kdevelop-pg-qt-2.2.1
=> SHA256 Checksum OK for KDE/kdevelop/kdevelop-pg-qt-2.2.1.tar.xz.
===========================================================================
<snip>
[130releng-armv7-quarterly-job-08] |   `-- Extracting ca_root_nss-3.63: ........ done
[130releng-armv7-quarterly-job-08] |   `-- Installing libnghttp2-1.43.0...
[130releng-armv7-quarterly-job-08] |   `-- Extracting libnghttp2-1.43.0: .......... done
[130releng-armv7-quarterly-job-08] `-- Extracting curl-7.78.0: .......... done
[130releng-armv7-quarterly-job-08] `-- Installing expat-2.4.1...
[130releng-armv7-quarterly-job-08] `-- Extracting expat-2.4.1: .......... done
[130releng-armv7-quarterly-job-08] `-- Installing jsoncpp-1.9.4...
[130releng-armv7-quarterly-job-08] `-- Extracting jsoncpp-1.9.4: .......... done
[130releng-armv7-quarterly-job-08] `-- Installing libarchive-3.5.1,1...
[130releng-armv7-quarterly-job-08] |   `-- Installing liblz4-1.9.3,1...
[130releng-armv7-quarterly-job-08] |   `-- Extracting liblz4-1.9.3,1: .......... done
[130releng-armv7-quarterly-job-08] `-- Extracting libarchive-3.5.1,1: .......... done
[130releng-armv7-quarterly-job-08] `-- Installing libuv-1.41.0...
[130releng-armv7-quarterly-job-08] `-- Extracting libuv-1.41.0: .......... done
[130releng-armv7-quarterly-job-08] `-- Installing rhash-1.4.1...
[130releng-armv7-quarterly-job-08] `-- Extracting rhash-1.4.1: .......... done
[130releng-armv7-quarterly-job-08] Extracting cmake-3.20.4: .......... done
=====
Message from ca_root_nss-3.63:

--
FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.


This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem
===>   kdevelop-pg-qt-2.2.1 depends on file: /usr/local/bin/cmake - found
===>   Returning to build of kdevelop-pg-qt-2.2.1
===>   kdevelop-pg-qt-2.2.1 depends on executable: ninja - not found
===>   Installing existing package /packages/All/ninja-1.10.2,2.txz
[130releng-armv7-quarterly-job-08] Installing ninja-1.10.2,2...
[130releng-armv7-quarterly-job-08] `-- Installing python38-3.8.10...
[130releng-armv7-quarterly-job-08] |   `-- Installing libffi-3.3_1...
[130releng-armv7-quarterly-job-08] |   `-- Extracting libffi-3.3_1: .......... done
[130releng-armv7-quarterly-job-08] |   `-- Installing mpdecimal-2.5.1...
[130releng-armv7-quarterly-job-08] |   `-- Extracting mpdecimal-2.5.1: .......... done
[130releng-armv7-quarterly-job-08] `-- Extracting python38-3.8.10: .......... done
[130releng-armv7-quarterly-job-08] Extracting ninja-1.10.2,2: ........ done
=====
Message from python38-3.8.10:

--
Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

py38-gdbm       databases/py-gdbm_at_py38
py38-sqlite3    databases/py-sqlite3_at_py38
py38-tkinter    x11-toolkits/py-tkinter_at_py38
===>   kdevelop-pg-qt-2.2.1 depends on executable: ninja - found
===>   Returning to build of kdevelop-pg-qt-2.2.1
===>   kdevelop-pg-qt-2.2.1 depends on file: /usr/local/share/ECM/cmake/ECMConfig.cmake - not found
===>   Installing existing package /packages/All/kf5-extra-cmake-modules-5.82.0.txz
[130releng-armv7-quarterly-job-08] Installing kf5-extra-cmake-modules-5.82.0...
[130releng-armv7-quarterly-job-08] `-- Installing qt5-linguisttools-5.15.2...
[130releng-armv7-quarterly-job-08] |   `-- Installing qt5-core-5.15.2_5...
[130releng-armv7-quarterly-job-08] |   | `-- Installing double-conversion-3.1.5.19...
[130releng-armv7-quarterly-job-08] |   | `-- Extracting double-conversion-3.1.5.19: .......... done
[130releng-armv7-quarterly-job-08] |   | `-- Installing glib-2.66.8,2...
[130releng-armv7-quarterly-job-08] |   |   `-- Installing libiconv-1.16...
[130releng-armv7-quarterly-job-08] |   |   `-- Extracting libiconv-1.16: .......... done
[130releng-armv7-quarterly-job-08] |   |   `-- Installing libxml2-2.9.12...
[130releng-armv7-quarterly-job-08] |   |   `-- Extracting libxml2-2.9.12: .......... done
[130releng-armv7-quarterly-job-08] |   |   `-- Installing pcre-8.45...
[130releng-armv7-quarterly-job-08] |   |   `-- Extracting pcre-8.45: .......... done
[130releng-armv7-quarterly-job-08] |   | `-- Extracting glib-2.66.8,2: .......... done
No schema files found: doing nothing.
[130releng-armv7-quarterly-job-08] |   | `-- Installing icu-69.1,1...
[130releng-armv7-quarterly-job-08] |   | `-- Extracting icu-69.1,1: .......... done
[130releng-armv7-quarterly-job-08] |   | `-- Installing pcre2-10.37...
[130releng-armv7-quarterly-job-08] |   | `-- Extracting pcre2-10.37: .......... done
[130releng-armv7-quarterly-job-08] |   | `-- Installing qtchooser-66_4...
[130releng-armv7-quarterly-job-08] |   | `-- Extracting qtchooser-66_4: .......... done
[130releng-armv7-quarterly-job-08] |   | `-- Installing zstd-1.5.0...
[130releng-armv7-quarterly-job-08] |   | `-- Extracting zstd-1.5.0: .......... done
[130releng-armv7-quarterly-job-08] |   `-- Extracting qt5-core-5.15.2_5: .......... done
[130releng-armv7-quarterly-job-08] |   `-- Installing qt5-xml-5.15.2_1...
[130releng-armv7-quarterly-job-08] |   `-- Extracting qt5-xml-5.15.2_1: .......... done
[130releng-armv7-quarterly-job-08] `-- Extracting qt5-linguisttools-5.15.2: .......... done
[130releng-armv7-quarterly-job-08] Extracting kf5-extra-cmake-modules-5.82.0: .......... done
=====
Message from qtchooser-66_4:

--
qtchooser is a wrapper that allows to specify Qt version of binaries for
qmake, moc and other tools will be run when invoking the binaries in $PATH.

By default, the Qt5 versions are run. It is possible to change the behavior by
setting the QT_SELECT environment variable to "qtX", where X is desired Qt
version, provided that it is offered by the Ports Collection. See qtchooser(1)
for more information.
===>   kdevelop-pg-qt-2.2.1 depends on file: /usr/local/share/ECM/cmake/ECMConfig.cmake - found
===>   Returning to build of kdevelop-pg-qt-2.2.1
===>   kdevelop-pg-qt-2.2.1 depends on package: qt5-buildtools>=5.15.2 - not found
===>   Installing existing package /packages/All/qt5-buildtools-5.15.2_1.txz
[130releng-armv7-quarterly-job-08] Installing qt5-buildtools-5.15.2_1...
[130releng-armv7-quarterly-job-08] `-- Installing perl5-5.32.1_1...
[130releng-armv7-quarterly-job-08] `-- Extracting perl5-5.32.1_1: .......... done
[130releng-armv7-quarterly-job-08] Extracting qt5-buildtools-5.15.2_1: ......... done
===>   kdevelop-pg-qt-2.2.1 depends on package: qt5-buildtools>=5.15.2 - found
===>   Returning to build of kdevelop-pg-qt-2.2.1
===>   kdevelop-pg-qt-2.2.1 depends on package: qt5-qmake>=5.15.2 - not found
===>   Installing existing package /packages/All/qt5-qmake-5.15.2.txz
[130releng-armv7-quarterly-job-08] Installing qt5-qmake-5.15.2...
[130releng-armv7-quarterly-job-08] Extracting qt5-qmake-5.15.2: .......... done
===>   kdevelop-pg-qt-2.2.1 depends on package: qt5-qmake>=5.15.2 - found
===>   Returning to build of kdevelop-pg-qt-2.2.1
===========================================================================
=======================<phase: lib-depends    >============================
===>   kdevelop-pg-qt-2.2.1 depends on shared library: libQt5Core.so - found (/usr/local/lib/qt5/libQt5Core.so)
===>   kdevelop-pg-qt-2.2.1 depends on shared library: libQt5Test.so - not found
===>   Installing existing package /packages/All/qt5-testlib-5.15.2_1.txz
[130releng-armv7-quarterly-job-08] Installing qt5-testlib-5.15.2_1...
[130releng-armv7-quarterly-job-08] Extracting qt5-testlib-5.15.2_1: .......... done
===>   kdevelop-pg-qt-2.2.1 depends on shared library: libQt5Test.so - found (/usr/local/lib/qt5/libQt5Test.so)
===>   Returning to build of kdevelop-pg-qt-2.2.1
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for kdevelop-pg-qt-2.2.1
===>  Performing out-of-source build
/bin/mkdir -p /wrkdirs/usr/ports/devel/kdevelop-pg-qt/work/.build
-- The C compiler identification is Clang 11.0.1
-- The CXX compiler identification is Clang 11.0.1
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /nxb-bin/usr/bin/cc - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Check for working CXX compiler: /nxb-bin/usr/bin/c++ - skipped
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Looking for __GLIBC__
-- Looking for __GLIBC__ - not found
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Performing Test HAVE_DATE_TIME
-- Performing Test HAVE_DATE_TIME - Success
CMake Warning (dev) at examples/cc/CMakeLists.txt:37 (SET_SOURCE_FILES_PROPERTIES):
  Policy CMP0118 is not set: The GENERATED source file property is now
  visible in all directories.  Run "cmake --help-policy CMP0118" for policy
  details.  Use the cmake_policy command to set the policy and suppress this
  warning.

  Attempt to set property 'GENERATED' with the following non-boolean value
  (which will be interpreted as "0"):

  TUE

  That exact value will not be retrievable.  A value of "0" will be returned
  instead.

  This will be an error under policy CMP0118.

This warning is for project developers.  Use -Wno-dev to suppress it.

-- The following REQUIRED packages have been found:

 * ECM (required version >= 5.14.0)
 * Qt5Core
 * Qt5 (required version >= 5.5.0)

-- Configuring done
-- Generating done
CMake Warning:
  Manually-specified variables were not used by the project:

    CMAKE_COLOR_MAKEFILE
    CMAKE_CXX_FLAGS_DEBUG
    CMAKE_C_FLAGS_DEBUG
    CMAKE_C_FLAGS_RELEASE
    CMAKE_VERBOSE_MAKEFILE
    THREADS_HAVE_PTHREAD_ARG


-- Build files have been written to: /wrkdirs/usr/ports/devel/kdevelop-pg-qt/work/.build
===========================================================================
=======================<phase: build          >============================
===>  Building for kdevelop-pg-qt-2.2.1
[  2% 1/40] cd /wrkdirs/usr/ports/devel/kdevelop-pg-qt/work/.build/kdev-pg && /usr/local/bin/bison -o /wrkdirs/usr/ports/devel/kdevelop-pg-qt/work/.build/kdev-pg/kdev-pg-parser.cc -d /wrkdirs/usr/ports/devel/kdevelop-pg-qt/work/kdevelop-pg-qt-2.2.1/kdev-pg/kdev-pg-parser.yy
/wrkdirs/usr/ports/devel/kdevelop-pg-qt/work/kdevelop-pg-qt-2.2.1/kdev-pg/kdev-pg-parser.yy: warning: 197 shift/reduce conflicts [-Wconflicts-sr]
/wrkdirs/usr/ports/devel/kdevelop-pg-qt/work/kdevelop-pg-qt-2.2.1/kdev-pg/kdev-pg-parser.yy: warning: 24 reduce/reduce conflicts [-Wconflicts-rr]
/wrkdirs/usr/ports/devel/kdevelop-pg-qt/work/kdevelop-pg-qt-2.2.1/kdev-pg/kdev-pg-parser.yy: note: rerun with option '-Wcounterexamples' to generate conflict counterexamples
[  5% 2/40] cd /wrkdirs/usr/ports/devel/kdevelop-pg-qt/work/.build/kdev-pg && /usr/local/bin/flex --yymore --nounistd -o /wrkdirs/usr/ports/devel/kdevelop-pg-qt/work/.build/kdev-pg/kdev-pg-lexer.cc /wrkdirs/usr/ports/devel/kdevelop-pg-qt/work/kdevelop-pg-qt-2.2.1/kdev-pg/kdev-pg-lexer.ll
=>> Killing runaway build after 21600 seconds with no output
Received on Wed Sep 15 2021 - 08:16:29 UTC

Original text of this message